
Name:           obs-studio
Version:        20.1.0
Release:        %mkrel 1
Summary:        A recording/broadcasting program
Group:          Video
License:        GPLv2+
URL:            https://obsproject.com
Source0:        https://github.com/jp9000/obs-studio/archive/%{version}/%{name}-%{version}.tar.xz
Source1:        obs.png
Source2:        obs.desktop
Patch0:         obs-studio-0.14.2-mga-underlinking.patch
Patch1:         obs-studio-0.14.2-mga-optional-tainted-x264.patch
Patch2:         obs-studio-0.16.2-mga-obs-frontend-api-soname.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig
BuildRequires:  %{_lib}fontconfig-devel
BuildRequires:  %{_lib}freetype6-devel
BuildRequires:  %{_lib}xcomposite-devel
BuildRequires:  %{_lib}xinerama-devel
BuildRequires:  %{_lib}xrandr2-devel
BuildRequires:  %{_lib}curl-devel
BuildRequires:  %{_lib}ffmpeg-devel
BuildRequires:  %{_lib}jansson-devel
BuildRequires:  %{_lib}pulseaudio-devel
BuildRequires:  %{_lib}qt5base5-devel 
BuildRequires:  %{_lib}qt5x11extras-devel
BuildRequires:  %{_lib}udev0-devel
BuildRequires:  %{_lib}v4l-devel
BuildRequires:  x264-devel
BuildRequires:  %{_lib}jack-devel

%description
Open Broadcaster Software is free and open source software for video
recording and live streaming.

%prep
%setup -q
%apply_patches


%build
%cmake \
  -DUNIX_STRUCTURE=1 \
  -DOBS_MULTIARCH_SUFFIX="%(echo %{_lib} | sed -e 's/lib//')" \
  -DOBS_VERSION_OVERRIDE="%{version}" \
  -DBUILD_X264_PLUGIN="1"
%make_build

%install
rm -rf %buildroot
%make_install -C build

# We don't need the devel files
rm -rf %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_libdir}/cmake
rm -rf %{buildroot}%{_includedir}

install -m 0644 %SOURCE2 %buildroot/%{_datadir}/applications/obs.desktop

mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/pixmaps/obs.png
     
     
%files
%{_bindir}/obs
%{_libdir}/libobs.so.0
%{_libdir}/libobs-frontend-api.so.0*
%{_libdir}/libobs-opengl.so.0*
%{_libdir}/libobsglad.so.0
%{_libdir}/obs-plugins/
%{_datadir}/applications/obs.desktop
%{_datadir}/obs/
%{_iconsdir}/hicolor/256x256/apps/obs.png
%{_datadir}/pixmaps/obs.png

%post
update-menus

%postun
update-menus


%changelog
* Sat Oct 21 2017 bb2 <bb2> - 20.1.0-1pclos2017
- new version

* Wed Jun 28 2017 bb2 <bb2> - 19.0.3-1pclos2017
- new version

* Fri Jun 16 2017 bb2 <bb2> - 19.0.2-3pclos2017
- add better name for program in menu

* Tue May 30 2017 bb2 <bb2> - 19.0.2-2pclos2017
- add icon to pixmaps folder

* Fri May 26 2017 bb2 <bb2> - 19.0.2-1pclos2017
- new version

* Sat May 06 2017 bb2 <bb2> - 18.0.2-1pclos2017
- new version

